/*
 Theme Name:   IDA Flawless Child
 Theme URI:
 Description:  Flwless child theme. Always use this not the parent them as all custom code will be erased!
 Author:
 Author URI:   http://example.com
 Template:     flawless-v1-20
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:
 Text Domain:  flawless
*/

a.gdlr-button{background-color:#f36c24; border-color:#d25f21;}
	a.gdlr-button:hover{background-color:#d25f21;}

.gform_footer input[type="submit"]{background-color:#f36c24; border-color:#f36c24; transition:opacity .3s ease;}
	.gform_footer input[type="submit"]:hover{opacity:.7;}

.ceri_form{
	color:#000000;
}
.ceri_form input[type="text"]{
	color:#000000 !important;
}
.ceri_billing{
	background-color: #ebe9eb;
}
.ceri_form .hidden_field{
	display: none;
}


.interior-bg-color{background-color:#f36c24; color:#fff; padding:10px; font-size:22px;}
.interior-bg-color-grey{color:#7c7c7c; padding:0; font-size:18px; margin-bottom:7px}

.top-navigation-right{float:none; margin:10px; overflow:hidden; position:relative; text-align:center;}
.top-navigation-right-text{float:none; text-align:center; line-height:130%; font-size:17px; display:inline-block;}
	.top-navigation-right-text a:hover{opacity:.7;}

.top-social-wrapper{padding:0; margin:0; display:none !important;}

hr.margin50{margin:50px 0;}

/* NAVIGATION */
.sf-menu > li.menu-item > a{
	margin-right: 4px;
}

.gdlr-navigation-wrapper.gdlr-style-2 .gdlr-main-menu > li > a{
	padding-left: 7px;
}

.gdlr-navigation-wrapper.gdlr-style-2 .gdlr-main-menu > li > a.sf-with-ul{

}

/* CERI Blog Stuff */
.widget_recent_entries ul li span.post-date{display:block;}

.gdlr-blog-grid .gdlr-blog-info{text-align:center;}
	.gdlr-blog-grid .gdlr-blog-info .blog-info{float:none;}
		.gdlr-blog-grid .gdlr-blog-info .blog-info.blog-comment{display:none;}


/* IDA PROVIDER IFRAME */
.ida-pop-up{display:absolute; z-index:99999; background-color:rgba(0,0,0,.8); width:100%; height:100%; top:0; bottom:0; left:0; right:0;}
	.ida-pop-up iframe{display:block; height:90%; width:90%;}

@keyframes marquee{
	0%{transform: translate(0, 0);}
	100%{transform: translate(-220%, 0);}
}

.cert-lists p{margin-bottom:0;}

/* CCRP PAGE */
.ccrp-left{align-self:center;}
	.ccrp-left p{color:#000; line-height:200%; font-size:16px;}

.ccrp-mid{align-self:center;}

.ccrp-right{align-self:center;}
	.ccrp-right h3{font-weight:bold; font-size:35px; margin-bottom:30px;}
	.ccrp-right a{background-color:#6fac2f; padding:16px 30px; display:inline-block; color:#fff; text-transform:uppercase; font-size:14px; letter-spacing:3px;}
		.ccrp-right a:hover{color:#fff; background-color:#6ec90f;}

/* GRID */
.row.grid-layout{display: -ms-grid; display:grid; grid-gap:35px; grid-auto-rows:1fr;}
	.row.grid-layout.columns-1{-ms-grid-columns:(1fr)[1]; grid-template-columns:repeat(1, 1fr);}
	.row.grid-layout.columns-2{-ms-grid-columns:(1fr)[2]; grid-template-columns:repeat(2, 1fr);}
	.row.grid-layout.columns-3{-ms-grid-columns:(1fr)[3]; grid-template-columns:repeat(3, 1fr);}
	.row.grid-layout.columns-4{-ms-grid-columns:(1fr)[4]; grid-template-columns:repeat(4, 1fr);}
	.row.grid-layout.columns-5{-ms-grid-columns:(1fr)[5]; grid-template-columns:repeat(5, 1fr);}
	.row.grid-layout.columns-6{-ms-grid-columns:(1fr)[6]; grid-template-columns:repeat(6, 1fr);}
	.row.grid-layout.columns-7{-ms-grid-columns:(1fr)[7]; grid-template-columns:repeat(7, 1fr);}
	.row.grid-layout.columns-8{-ms-grid-columns:(1fr)[8]; grid-template-columns:repeat(8, 1fr);}
	.row.grid-layout.columns-9{-ms-grid-columns:(1fr)[9]; grid-template-columns:repeat(9, 1fr);}
	.row.grid-layout.columns-10{-ms-grid-columns:(1fr)[10]; grid-template-columns:repeat(10, 1fr);}
	.row.grid-layout.columns-11{-ms-grid-columns:(1fr)[11]; grid-template-columns:repeat(11, 1fr);}
	.row.grid-layout.columns-12{-ms-grid-columns:(1fr)[12]; grid-template-columns:repeat(12, 1fr);}
		.grid-layout .grid-columns{position:relative;}

.certification-grid{ grid-auto-rows: 1fr; margin-bottom: 35px; }
.certification-grid .grid-columns{ display: flex; }
.certification-grid.even-row .certificate-item{ background-color: #fff; }

.certificate-item{ display: block; text-align: center; background-color: #f7f7f7; padding: 20px; border: 2px solid #adadad; display: flex; flex-direction: column; flex: 1; justify-content: center; transition: all .2s ease-in-out; }
.certificate-item:hover{ transform: scale(1.1); }
.certificate-item:hover { color: #f36c24; }
.certificate-item h3{ font-size: 18px; font-weight: 600; }
 .certificate-item p{ margin: 0; font-weight: 600; }
	.certificate-item p.cost{ font-weight: 700; font-size: 18px; color: #7c7c7c; }

@media all and (max-width: 959px) {
	.top-navigation-right-text{font-size:22px;}
	@keyframes marquee{
		0%{transform: translate(0, 0);}
		100%{transform: translate(-250%, 0);}
	}

}

@media all and (max-width: 767px) {

	@keyframes marquee{
		0%{transform: translate(0, 0);}
		100%{transform: translate(-350%, 0);}
	}

	.row.grid-layout{grid-template-columns:repeat(1, 1fr) !important;}

	.ccrp-mid{display:none;}

}


/* PROGRAMS TABLE */
.programs-table{width:100%; overflow-x: scroll;}
	.programs-table table {width:100%;}
		.programs-table td {border-right:1px solid #e5e5e5; border-bottom:1px solid #e5e5e5; padding: 5px 3px; font-size: 12px;}
			.programs-table tr:first-child td {border-top:1px solid #e5e5e5; background:#fafafa;}
			.programs-table tr td:first-child {border-left:1px solid #e5e5e5;}
			.programs-table tr.separator td{background:#fafafa;}

@media all and (max-width: 767px) {
	.programs-table td {font-size: 14px;}
	.programs-table tr:first-child td {font-size: 16px;}
}

/* Custom Form Styles */
.ginput_preview {position: relative;}
.ginput_preview .gform_delete {width: 60px; height: 15px; overflow: hidden; padding: 15px 0 0 60px;}
.ginput_preview:before {content:'[REMOVE]'; position: absolute; top:2px; left:0; font-size: .75rem; font-weight: bold; color: red; z-index: -1;}

/* Collapsible sections */
.collapsible {margin:1rem 0; padding:1rem 0; border-top:1px solid #e5e5e5;  border-bottom:1px solid #e5e5e5; }
	.collapsible + .collapsible{margin-top: -1rem; border-top: none;}
	.collapsible-button{cursor:pointer; font-weight: bold; width:100%; box-sizing: border-box; padding-right: 20px; position: relative;}
		.collapsible-button:before, .collapsible-button:after {content:'';position: absolute; top:11px; right: 0; width: 14px; height:2px; background:#f36c24;}
		.collapsible-button:after {top:5px; right: 6px; height: 14px; width:2px; opacity: 1; transition: .3s ease;}
		.collapsible.open .collapsible-button:after {opacity: 0;}
	.collapsible-content-hidden {display: none;}

small {font-size: 75%;}

/* Sticky sidebar */
.page-id-2385 .main-content-container {max-width: 1400px;}

	.page-id-2385 .main-content-container .gdlr-main-content {position: relative; display: flex; flex-wrap: wrap;}
		.page-id-2385 .main-content-container .gdlr-main-content h3 {width: 100%;}
		.sticky-nav {width: calc(38% - 32px); height: calc(100vh - 6rem); margin-right: 2%; position: sticky; top: 2rem; overflow: scroll; display: block; align-self: flex-start; background: rgba(238,108,36,.08); padding: 16px;}
		.sticky-content {width: 60%;}


	.page-id-2385 .sticky-nav .collapsible {margin:0; border:none;}

	@media all and (max-width: 1024px) {
		.sticky-nav {width: 100%; height: auto; top:0; margin:0 0 2rem;}
		.sticky-content {width:100%;}
	}

/* Hide Renewal Forms Unless correct Data-Cert */
.page-id-2384 form, .page-id-2381 form, .page-id-2382 form {
	display: none;
}

.page-id-2384[data-cert="Structured Literacy Classroom Teacher"] form, .page-id-2381[data-cert="Structured Literacy/Dyslexia Interventionist"] form, .page-id-2382[data-cert="Structured Literacy/Dyslexia Specialist"] form {
	display: block;
}

.wrong-form-msg {
	display: block;
}

.page-id-2384[data-cert="Structured Literacy Classroom Teacher"] .wrong-form-msg, .page-id-2381[data-cert="Structured Literacy/Dyslexia Interventionist"] .wrong-form-msg, .page-id-2382[data-cert="Structured Literacy/Dyslexia Specialist"] .wrong-form-msg {
	display: none;
}

/* ALT ROUTE COUNTER */
.ar-counter{display:block; width:100%; text-align:center; font-size:1.25rem; text-decoration:underline;}
	.ar-counter span{display:block; color:red; text-decoration:none; font-weight:700;}
	
/* OPT IN FORM HIDE/SHOW */
.rewards-expired-msg, .rewards-active-msg {display: none;}
[data-status="non-applicable"] #gform_wrapper_37, [data-status="expired"] #gform_wrapper_37, [data-status="non-verified"] #gform_wrapper_37, [data-status="new"] #gform_wrapper_37, [data-rewards="true"] #gform_wrapper_37 { display: none!important; }
[data-status="non-applicable"] .rewards-expired-msg, [data-status="expired"] .rewards-expired-msg, [data-status="new"] .rewards-expired-msg, [data-status="non-verified"] .rewards-expired-msg { display: block; }
[data-rewards="true"] .rewards-active-msg { display: block; }
